## abcl 1.9.2

=== doc/manual/Makefile ===

all: abcl.pdf

abcl.pdf: abcl.tex abcl.bib java.tex extensions.tex threads.tex
	pdflatex abcl.tex
	bibtex abcl
	makeindex abcl
	pdflatex abcl.tex
	pdflatex abcl.tex

#ABCL   = abcl
ABCL	= ../../abcl

# XXX TODO pare down to using --noinit
grovel:
	$(ABCL) --batch --noinform \
	--eval '(require :abcl-contrib)' \
	--eval '(asdf:make :abcl/documentation)' \
	--eval '(abcl/documentation:index)'

clean:
	rm -f *.aux *.bbl *.blg *.idx *.ilg *.ind *.log *.out *.toc abcl.pdf

## abcl 1.8.0

=== debian/changelog ===
abcl (1.8.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 06 Nov 2021 18:45:33 +0100

abcl (1.8.0-1) unstable; urgency=medium

  * Initial release. (Closes: #608466)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 25 Aug 2021 16:02:44 +0200

=== debian/control ===
Source: abcl
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: lisp
Priority: optional
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 12.8~),
               default-jdk,
               ant,
               javahelper,
               texlive-latex-extra
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/common-lisp-team/abcl
Vcs-Git: https://salsa.debian.org/common-lisp-team/abcl.git
Homepage: https://abcl.org/
Rules-Requires-Root: no

Package: abcl
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends},
         default-jre
Recommends: ${java:Recommends}
Description: Common Lisp implementation in the Java Virtual Machine
 Armed Bear Common Lisp (ABCL) is a conforming implementation of ANSI X3J13
 Common Lisp that runs in the Java Virtual Machine. It compiles Lisp code
 directly to Java byte code for execution.
 .
 It also provides the following integration methods for interfacing with Java
 code and libraries:
 .
  - Lisp code can create Java objects and call their methods;
  - Java code can call Lisp functions and generic functions, either directly
    or Java Scripting API (JSR-223);
  - it is possible to create Lisp-side implementations of
    Java interfaces that can be used as listeners for Swing classes and
    similar.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper

execute_after_dh_auto_build:
	# Compile the manual
	make -C doc/manual

	# Recreate the wrapper, because the one generated by the upstream build
	# system hardcodes path on the build machines
	sed -e "s#@JAVA@#java#;s#@ABCL_CLASSPATH@#/usr/share/java/abcl.jar#;s#@ABCL_JAVA_OPTIONS@##" < abcl.in > abcl
	chmod +x abcl

execute_after_dh_auto_clean:
	rm -f abcl
	make -C doc/manual clean

=== debian/tests/control ===
Test-Command: abcl --noinit --batch --load debian/tests/runtests.lisp
Depends: @
Restrictions: allow-stderr

## abcl 1.9.0

=== debian/changelog ===
abcl (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * Fix JNA interface (needed by CFFI)
    + add Depends on libjna-java
    + jna.patch: new patch, hardcodes the path to jna.jar
  * Bump S-V to 4.6.1
  * d/abcl.lintian-overrides: update for new override format

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 30 Jun 2022 15:36:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                ant,
                javahelper,
                texlive-latex-extra
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/abcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/abcl.git
 Homepage: https://abcl.org/
@@ -19,7 +19,9 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${java:Depends},
-         default-jre
+         default-jre,
+# See jna.patch
+         libjna-java
 Recommends: ${java:Recommends}
 Description: Common Lisp implementation in the Java Virtual Machine
  Armed Bear Common Lisp (ABCL) is a conforming implementation of ANSI X3J13

## abcl 1.9.2

=== debian/changelog ===
abcl (1.9.2-2) unstable; urgency=medium

  * Log functions fail to 0.0 not 0, ignore this

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 05 Jan 2025 21:18:55 +0100

abcl (1.9.2-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

  [ Peter Van Eynde ]
  * New upstream version 1.9.2
  * Added myself as uploader
  * Updated Standards-Version, no changes
  * Refreshed patches

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 30 Dec 2024 09:34:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: abcl
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
+Uploaders: Peter Van Eynde <pvaneynd@debian.org>
 Section: lisp
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -9,7 +9,7 @@
                ant,
                javahelper,
                texlive-latex-extra
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/abcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/abcl.git
 Homepage: https://abcl.org/

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://abcl.org \
 releases/(?:[\d\.]+)/abcl-src@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
